[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.RemoveAllHandlersOfObject

Removes all handler routines for the specified object regardless of notification type.

## Declaration

Source position: forms.pp line 1231

`public procedure TScreen.RemoveAllHandlersOfObject(`
`AnObject: TObject`
`); override;`

## Arguments

`AnObject` |  | Object instance with the handlers removed in the method.

## Description

RemoveAllHandlersOfObject is a method used to remove all handler routines for the specified object, regardless of the TScreenNotification type. RemoveAllHandlersOfObject iterates over the method lists in the internal array, and calls the RemoveAllMethodsOfObject method for the object instance specified in AnObject. It calls the virtual inherited method prior to exit.

Called when the Lazarus IDE is terminated.

## See also

TScreenNotification |  | Screen notification events and handler types.
TMethodList.RemoveAllMethodsOfObject
TLCLComponent.RemoveAllHandlersOfObject |  | Override this method to remove all references to notification handlers in AnObject.